javax.visrec

## Interface ImageFactory<T>

Type Parameters:
  `T` - the type of object to be returned after getting image from `File`, `URL` or `InputStream`

    public interface ImageFactory<T>

This interface provides a standard way to get/read different(specified) kinds of image from file, url or input stream.

Since:
  1.0
Author:
  Zoran Sevarac

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getImage(File file)` Retrieve the source through a `File` object and transform it into T.
`T` `getImage(InputStream file)` Retrieve the source through an `InputStream` object and transform it into T.
`T` `getImage(URL file)` Retrieve the source through a `URL` object and transform it into T.

### Method Detail

#### getImage

    T getImage(File file)
        throws IOException

Retrieve the source through a `File` object and transform it into T.

Parameters:
  `file` - The source file.
Returns:
  T object.
Throws:
  `IOException` - If the file I/O went wrong or couldn't transform the source into a T object.

#### getImage

    T getImage(URL file)
        throws IOException

Retrieve the source through a `URL` object and transform it into T.

Parameters:
  `file` - The source.
Returns:
  T object.
Throws:
  `IOException` - If the I/O went wrong or couldn't transform the source into a T object.

#### getImage

    T getImage(InputStream file)
        throws IOException

Retrieve the source through an `InputStream` object and transform it into T.

Parameters:
  `file` - The source.
Returns:
  T object.
Throws:
  `IOException` - If the I/O went wrong or couldn't transform the source into a T object.